﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Threading;
using UHF_Reader.Public;

namespace UHF_Reader
{
    public partial class Settings : Form
    {
        public Settings()
        {
            InitializeComponent();
        }

        private void Settings_Load(object sender, EventArgs e)
        {
            //读取功率
            byte[] bPower = new byte[1];
            if (PublicFunction.GetPower(bPower))
            {
                TbPower.Text = Convert.ToString(bPower[0]);
                trackBarPower.Value = bPower[0] - 10;
                AddTxt("Read power successfully, the power is " + (bPower[0]) + "dBm");
            }
            else
            {
                AddTxt("Fail to read power");
            }
        }

        private void BtSetPower_Click(object sender, EventArgs e)
        {
            byte[] bPower = new byte[1];
            byte power = (byte)(trackBarPower.Value + 10);

            if (PublicFunction.SetPower(power))
            {
                AddTxt("Set power successfully");

                Thread.Sleep(200);

                if (PublicFunction.GetPower(bPower))
                {
                    TbPower.Text = Convert.ToString(bPower[0]);
                    trackBarPower.Value = bPower[0] - 10;
                    AddTxt("Read power successfully, the power is " + (bPower[0]) + "dBm");
                }
                else
                {
                    AddTxt("Fail to read power");
                }
            }
            else
            {
                AddTxt("Fail to set power");
            }
        }

        private void trackBarPower_Scroll(object sender, EventArgs e)
        {
            TbPower.Text = Convert.ToString(trackBarPower.Value + 10);
        }

        private void AddTxt(string txt)
        {
            TbShow.AppendText(txt + "\r\n");
        }
 
    }
}